Name:           libgtkhotkey
Version:        0.2.1
Release:        3%{?dist}
Summary:        Platform independent hotkey handling for Gtk+ applications

Group:          System Environment/Libraries
License:        LGPLv3 
URL:            https://launchpad.net/gtkhotkey
Source0:        http://launchpad.net/gtkhotkey/0.2/%{version}/+download/gtkhotkey-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Use datadir instead of prefix to install documentation
# patch mailed to author on 2009-09-22
Patch0:         libgtkhotkey_doc_prefix.patch

BuildRequires:  gtk2-devel, intltool, pkgconfig

%description
Platform independent hotkey handling for Gtk+ applications

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n gtkhotkey-%{version}
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Remove the docs installed by the package itself. Docs will be handled by the rpm %doc directive
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/gtkhotkey


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/gtkhotkey
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Sep 27 2009 Mads Villadsen <maxx@krakoa.dk> - 0.2.1-3
- Let rpm handle doc installation to get properly versioned doc dir

* Sat Sep 26 2009 Mads Villadsen <maxx@krakoa.dk> - 0.2.1-2
- Add intltool and pkgconfig to BuildRequires

* Tue Sep 22 2009 Mads Villadsen <maxx@krakoa.dk> - 0.2.1-1
- Initial packaging

